import { CexRepository } from "../repositories/cex.repository";
import { CommunityRepository } from "../repositories/community.repository";
import { CryptoRepository } from "../repositories/crypto.repository";
import { DexRepository } from "../repositories/dex.repository";
import { MetricRepository } from "../repositories/metric.repository";
import { MiscRepository } from "../repositories/misc.repository";
import { Client } from "./client";
export declare class CoinMarketCapApi {
    client: Client;
    crypto: CryptoRepository;
    dex: DexRepository;
    cex: CexRepository;
    metric: MetricRepository;
    community: CommunityRepository;
    misc: MiscRepository;
    constructor(apikey?: string);
    sandbox(): CoinMarketCapApi;
    static sandbox(): CoinMarketCapApi;
}
