"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CmcErrorCode = void 0;
var CmcErrorCode;
(function (CmcErrorCode) {
    CmcErrorCode[CmcErrorCode["ApikeyInvalid"] = 1001] = "ApikeyInvalid";
    CmcErrorCode[CmcErrorCode["ApikeyMissing"] = 1002] = "ApikeyMissing";
    CmcErrorCode[CmcErrorCode["ApikeyPlanRequiresPayment"] = 1003] = "ApikeyPlanRequiresPayment";
    CmcErrorCode[CmcErrorCode["ApikeyPlanPaymentExpired"] = 1004] = "ApikeyPlanPaymentExpired";
    CmcErrorCode[CmcErrorCode["ApikeyRequired"] = 1005] = "ApikeyRequired";
    CmcErrorCode[CmcErrorCode["ApikeyPlanNotAuthorized"] = 1006] = "ApikeyPlanNotAuthorized";
    CmcErrorCode[CmcErrorCode["ApikeyDisable"] = 1007] = "ApikeyDisable";
    CmcErrorCode[CmcErrorCode["ApikeyPlanMinuteRateLimitReached"] = 1008] = "ApikeyPlanMinuteRateLimitReached";
    CmcErrorCode[CmcErrorCode["ApikeyPlanDailyRateLimitReached"] = 1009] = "ApikeyPlanDailyRateLimitReached";
    CmcErrorCode[CmcErrorCode["ApikeyPlanMonthlyRateLimitReached"] = 1010] = "ApikeyPlanMonthlyRateLimitReached";
    CmcErrorCode[CmcErrorCode["IpRateLimitReached"] = 1011] = "IpRateLimitReached";
})(CmcErrorCode || (exports.CmcErrorCode = CmcErrorCode = {}));
//# sourceMappingURL=cmc-error-code.enum.js.map