import type { CmcStatusResponse } from "../responses/status.response";
export declare abstract class CmcError extends Error {
    data: unknown;
    errorCode: number | null;
    errorMessage: string;
    creditCount: number;
    elapsed: number;
    notice?: string;
    timestamp: string;
    constructor(response: CmcStatusResponse, data: unknown);
}
