"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.nowIso8601 = exports.nowUnix = exports.iso8601ToDate = exports.dateToIso8601 = exports.unixToDate = exports.dateToUnix = void 0;
const dateToUnix = (date) => (date ? Math.floor(date.getTime() / 1000) : null);
exports.dateToUnix = dateToUnix;
const unixToDate = (unix) => (unix ? new Date(unix * 1000) : null);
exports.unixToDate = unixToDate;
const dateToIso8601 = (date) => date.toISOString();
exports.dateToIso8601 = dateToIso8601;
const iso8601ToDate = (iso8601) => new Date(iso8601);
exports.iso8601ToDate = iso8601ToDate;
const nowUnix = () => Math.floor(Date.now() / 1000);
exports.nowUnix = nowUnix;
const nowIso8601 = () => new Date().toISOString();
exports.nowIso8601 = nowIso8601;
//# sourceMappingURL=date.util.js.map