declare const endpoints: {
    crypto: {
        map: string;
        metadata: string;
        listings: string;
        listingsNew: string;
        listingsHistorical: string;
        quotes: string;
        quotesHistorical: string;
        quotesHistoricalV3: string;
        marketPairs: string;
        ohlcv: string;
        ohlcvHistorical: string;
        performance: string;
        categories: string;
        category: string;
        airdrops: string;
        airdrop: string;
        trending: string;
        mostVisited: string;
        gainersLosers: string;
    };
    dex: {
        listings: string;
        metadata: string;
        networks: string;
        pairs: string;
        quotes: string;
        ohlcv: string;
        ohlcvHistorical: string;
        trades: string;
    };
    cex: {
        map: string;
        metadata: string;
        listings: string;
        quotes: string;
        quotesHistorical: string;
        pairs: string;
        assets: string;
    };
    metric: {
        quotes: string;
        quotesHistorical: string;
        index: string;
        indexHistorical: string;
        fearAndGreed: string;
        fearAndGreedHistorical: string;
    };
    community: {
        news: string;
        top: string;
        latest: string;
        comments: string;
        trendingTopic: string;
        trendingToken: string;
    };
    misc: {
        fiat: string;
        priceConversion: string;
    };
};
export default endpoints;
